import request from '@/utils/request'

// 查询通告自定义报名单列表
export function listForm(query) {
  return request({
    url: '/busi/form/list',
    method: 'get',
    params: query
  })
}

// 查询通告自定义报名单详细
export function getForm(id) {
  return request({
    url: '/busi/form/' + id,
    method: 'get'
  })
}

// 新增通告自定义报名单
export function addForm(data) {
  return request({
    url: '/busi/form',
    method: 'post',
    data: data
  })
}

// 修改通告自定义报名单
export function updateForm(data) {
  return request({
    url: '/busi/form',
    method: 'put',
    data: data
  })
}

// 删除通告自定义报名单
export function delForm(id) {
  return request({
    url: '/busi/form/' + id,
    method: 'delete'
  })
}
